Get workspace onboarding
Expose one actionable path from connector setup to first current truth.
GET
Expose one actionable path from connector setup to first current truth.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidSuccessful Response
application/json- response
abandoned_source_count?Abandoned Source CountRange
0 <= valueDefault
0completion_rate*Completion Ratefirst_truth_ready*First Truth Readygenerated_at*Generated AtFormat
date-timeitems*array<>next_source?|nullready_source_count*Ready Source CountRange
0 <= valueretry_count?Retry CountRange
0 <= valueDefault
0started_source_count*Started Source CountRange
0 <= valuesupport_codes?array<string>time_to_first_truth_seconds?|nullcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/onboarding'Example Response
{ "abandoned_source_count": 0, "completion_rate": "string", "first_truth_ready": true, "generated_at": "2019-08-24T14:15:22Z", "items": [ { "checks": [ { "blocking": true, "code": "string", "detail": "string", "dimension": "configuration", "error_category": "authorization", "label": "string", "next_action": "string", "recoverable": true, "status": "passed", "support_code": "string" } ], "ready": true, "schema_version": "onboarding-assessment-v1", "source": "github", "state": "not_started" } ], "next_source": "github", "ready_source_count": 0, "retry_count": 0, "started_source_count": 0, "support_codes": [ "string" ], "time_to_first_truth_seconds": 0}